org.apache.cassandra.transport

## Class Event.NodeEvent

- java.lang.Object
- - org.apache.cassandra.transport.Event
  - - org.apache.cassandra.transport.Event.NodeEvent

Direct Known Subclasses:
  Event.StatusChange, Event.TopologyChange

Enclosing class:
  Event

    public abstract static class Event.NodeEvent
    extends Event

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.transport.Event

`Event.NodeEvent, Event.SchemaChange, Event.StatusChange, Event.TopologyChange, Event.Type`

### Field Summary

Fields
`java.net.InetSocketAddress` `node`

### Fields inherited from class org.apache.cassandra.transport.Event

`type`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.net.InetAddress` `nodeAddress()`

### Methods inherited from class org.apache.cassandra.transport.Event

`deserialize, eventSerializedSize, serialize, serializedSize, serializeEvent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### node

    public final java.net.InetSocketAddress node

### Method Detail

#### nodeAddress

    public java.net.InetAddress nodeAddress()